How to Fix “application is damaged, can’t be used to install macOS” Errors

Oct 24, 2019 - 43 Comments

Fix copy of Install MacOS damaged and cant be used to install macOS

If you have attempted to use a MacOS installer application recently, you may discover an error message stating something like “This copy of the Install macOS Mojave.app application is damaged, and can’t be used to install macOS.” This prevents the installer of macOS from working and running, and essentially makes the installer applications useless.

The cause of this error is an expired certificate, and because the certificate is expired the “Install macOS” app for Mojave, Sierra, and High Sierra will not run. Fortunately, there is a fairly simple solution to the “damaged” installer problem.

Resolving “Install MacOS Application is Damaged, Can’t be Used to Install MacOS” Error Messages with Mac OS System Installers

The easiest way to resolve the “This copy of the Install macOS .app application is damaged, and can’t be used to install macOS.” is to re-download the installer again from Apple, which contains a new fresh certificate that is not expired. The links below point to Apple resources where you can find or download the updated macOS installers for Mojave, High Sierra, and Sierra:

You may need to reboot the Mac after you have downloaded the new (and valid certificate) installer application, particularly if you had already launched a version that showed the application damaged error message.

If you do not download new versions of these macOS installer applications, you are likely to encounter the error messages for each release if you attempt to open or use the MacOS installer, or even a USB boot drive created with one of the expired installers:

“This copy of the Install macOS Mojave.app application is damaged, and can’t be used to install macOS.”

Copy of Install MacOS Mojave application is damaged and cant be used to install macOS

“This copy of the Install macOS High Sierra.app application is damaged, and can’t be used to install macOS.”

“This copy of the Install macOS Sierra.app application is damaged, and can’t be used to install macOS.”

If you want to see specifics and the expired certificate itself, you can investigate .pkg components of the MacOS Installer with tools like Suspicious Package and pkgutil, which can show the expired certificate that causes the error message:

Certificate expired for MacOS Mojave Installer application

Similar issues have happened with various Mac OS installers in the past. Aside from re-downloading the installer, another option that some users have reported to work that gets around these sort of error messages for installers (and sometimes apps too) is setting the Macs clock back in time (in this case, before October 2019 when the certificate expired rendering the installer application unusable), but that apparently doesn’t work all the time with the Install MacOS Mojave app. It’s also not always a practical solution to adjust clocks particularly if you plan on widely deploying, using, and archiving the installer apps for various MacOS releases and on different hardware. Instead, just re-download the new versions of “Install macOS.app” that you require, and keep those around instead.

Many Mac users like to maintain a repository of MacOS installer packages for older versions of system software. For example, I have a collection of MacOS installers including for Mac OS X Snow Leopard, Mac OS X Mavericks, MacOS High Sierra, macOS Sierra, macOS Mojave, and MacOS Catalina. These can be used to build USB boot installers, restore systems, troubleshoot, perform clean installations of the various system software versions, perform upgrades to specific system software releases, and serve many other purposes. If you have a similar installer archive, it’s probably a good time to replace those installers with the new versions that won’t be expired.

Have you run into the “application is damaged, and can’t be used to install macOS” error message, and did you fix it by downloading a new macOS installer package? Did you find another solution? Let us know your experience with this issue in the comments below.

Enjoy this tip? Subscribe to the OSXDaily newsletter to get more of our great Apple tips, tricks, and important news delivered to your inbox! Enter your email address below:

Related articles:

Posted by: Paul Horowitz in Mac OS X, Tips & Tricks, Troubleshooting

43 Comments

» Comments RSS Feed

  1. boyet a. says:

    thanks to all the comments! changing back the time worked for me! :)

  2. Jim says:

    Boot from USB when screen is loaded goto terminal enter command

    date -u 0818025919

    quit

    launch terminal again

    enter

    date

    verify date is Aug 18 2019

    Quit Terminal

    Launch MacOS to install.. WORKS !

  3. Gary says:

    put the date back after: ntpdate -u time.apple.com

  4. Henry says:

    I had same problem(Mojave installer damaged….”) and I fixed it by following way.
    First click the “Apple” icon on the top left of the desktop menu –> System preference –> Date & Time –> under “Date & Time” tab, uncheck the “Set date and time automatically”.
    You must have an admin privilege.
    Then double click installer, and it worked.
    I am not sure if this work for everybody.
    My system was Macbook pro(2017) with “High Sierra”.

  5. Eurostar says:

    I have tried to fix this problem by correcting the time during mojave installation. But it fails to me. I have downloaded ios many times. But all installations are failed with error saying ‘ this copy of the install macos mojave application is damaged’. I reached this website and fixed the problem.

    You can try this method and it will fix your problem 100% sure.

  6. Edirin Daniel Obood says:

    what you shuld do is get an ssd run a mac os on it lets say high Sierra then on a clean mac that has no os on it connect the ssd and boot frm there then change date and time to 09/09/2019 after go to disk utility clean the drive of the mac with without os l mean erase to apfs format then after that mak sure that the mojave full dmg is on the ssd too click to install after changing the date also disable wifi then install the mojave select the drive available then click on the new drive to install to just wait for it to finish that’s all you can also do this step for high Sierra also credit to my room mate ladi lopez 😀

  7. Charles says:

    I have a 10.14.5 installer I downloaded a while back. While the Terminal command for changing the date works for 10.13.X and earlier, it does not fix the issue with this Mojave installer.

    I cannot move up to 10.14.6 because certain software is not certified as compatible above 10.14.5.

    So… screwed. Thanks, Apple.

    Is there a way to replace the certificate in the installer package somehow?

    • Yas says:

      This terminal command worked foк me:
      date 0101200019

      • Eric Peebles says:

        To get mine to work, I :

        1. turned off the WiFi (so the date wouldn’t be updated during the process) and

        2. opened up a “Terminal” session and entered :

        sudo date 0901000019

        (i.e. September 01 2019 @ 00:00:00 am)

        as the default macOS user wasn’t “root”.

        3. I then ran the install and it worked!

        Thanks for all that comment here. I wouldn’t have figured it out otherwise.

        • RG says:

          thanks for this. This also worked for me! The sudo command didn’t work for me to change the date but i just type in date 0901000019 which changed the date and then was able to run the installer.

        • ElGriz says:

          Appreciate the terminal code here. The time change allowed me to get back into the installer again. But not before Terminal double-checked me with a cheeky little lecture about consulting my Sys Admin first and “with great power comes great responsibility.” [Old version of Yosemite]

        • Gary says:

          this worked for me. put date back after: ntpdate -u time.apple.com

  8. Rinaldo Doon says:

    It doesn’t look like you can access the Mojave download on the App Store any longer with the direct App Store link above (https://itunes.apple.com/us/app/macos-mojave/id1398502828?ls=1&mt=12). It is possible it didn’t work for me because I have a local Mojave volume already. Haven’t tried redownloading while booted in Mojave yet.

    However, using dosdude’s Mojave Patcher works fine. Not only that, checking InstallESD.dmg in Suspicious Package reveals that the certificate is now good until 14 April 2029!

    Wonder what macOS we’ll be on then?!

  9. Mike says:

    So I tried all three of those App Store links, and all 3 error.
    Saying the App Store can’t be contacted? Yet all the other links in the App Store work fine

    • Gregorous says:

      Download them from the App Store, that’s how it is done.

      Apple posted a support document on this problem too

      https://support.apple.com/en-us/HT208052

      The other unofficial option is to set the clock back to when the system software release was, usually like a year prior or whenever before the certificate expired. I have done that in the past and it works to install with these expired so called ‘damaged’ Mac system installers.

  10. Nonie says:

    The links to the older MacOS is not working, it just takes me to thw App Store home page. Looks like their killing the older MacOS.

    My problem now is I already formated my HDD and when I attempted to install the MacOS High Sierra it doesn’t work anymore. Now I’m stuck with an imac that I can’t use unless I install Catalina. What if my iMac is not compatible with Catalina?

    • Paul says:

      The links do work, yes they open the Mac App Store because that is where you download macOS Mojave and High Sierra from.

      • Deidre says:

        You can also fix “damaged” macOS installers by setting the clock back before this year, or to when that Mac version was released…

  11. Art says:

    Changing the time works.

  12. Maffew says:

    Just bought a Mac Mini last night and upon setting it up, learned that there’s an update to iOS Catalina. I downloaded it, can’t install it. I downloaded it again, can’t install it. I downloaded it again, can’t install it.

    I’m pretty sure Apple has billions in cash and therefore can afford to fix this ridiculous problem.

  13. phillip521125 says:

    When I use the application downloaded from the link to make a USB boot installer,it shows “/Volumes/MyVolume is not a valid volume mount point”.
    How to fix this?

    • jh1211 says:

      Same error message in Terminal when trying to create a USB installer from the file downloaded from the Sierra link provided. No problem creating the same with El Capitan installer file. Also got error when trying to build a Sierra installer with Install Disk Creator app.

    • McLover says:

      I have exactly the same issue, does anyone has a fix for this issue??

  14. Kapil says:

    Guys, this means I better continue using MacOS Mojave instead of new version till the end of 2019?

  15. Rich says:

    Had the same problem.
    Here is the fix:
    Fist you need to turn off the WiFi. disconnect from the network if your connecting via Ethernet.
    Then run Terminal app. change the date to a few days before Oct 24. “Example 1022125019” Oct 22 12:50 2019

    This solution worked for us.

    Thanks

    • ClutchCargo says:

      @Rich, thank you so much! Your fix worked for me as well. Was having the same issue re-installing macOS High Sierra on an iMac that had an issue updating its firmware.

    • SK says:

      Thanks, Rich,
      It also worked on Mojave installer.
      I set time back to August 2018.

  16. Figaro86 says:

    Went to suggested app store link for latest Mojave installer.
    Clicked on “Get”. Results?

    “This copy of the “Install macOS” application is too old to be opened on this version of macOS.”

    Now what?

  17. Bill Dannevik says:

    Another example of Apple not caring about longtime users: Avid, one of the standard of the postproduction industry that uses Mac based OS software has gone out their way to warn ProTools 12 users that Catalina will not work with their new OS. Not sword about this from Apple. Way back I learned the hard way that after immediately upgrading to Apple’s newest release that many of my software with which I earn my living are no longer compatible: thanks Apple for becoming arrogant like Microsoft was.

  18. Kabutu says:

    Have used both ways before and works best to me even to date.Asante.

  19. Unix says:

    It works. You have to disable Wi-Fi and then it won’t be able to refresh the date from the network.

  20. Eric says:

    This *JUST* happened to me today. It’d happened before, but I didn’t remember that it was a certificate issue.

    Perfect timing! Thanks!

    • DD Archer says:

      Ditto, happened to me and I couldn’t figure out what the problem was since ‘damaged’ doesn’t explain much.

      Couldn’t Apple just update the expired certificate on their end, and then it would not need to be downloaded again?

      I have to imagine there are probably hundreds of thousands of bootable macOS USB installers and macOS installer applications out there, for IT admins, personal use, et al.

  21. OJB says:

    Does the old trick of just temporarily changing the date (from the command line using date 010101002019 or similar) not still work?

    • buckeroo says:

      Some say that works for using boot drives but then the Mac reboots and connects to the internet will it be a problem? Who knows for sure but to me it sounds safer to get an installer that works 100% for certain, I use these for clean install and disaster recovery!

      My old Mojave installer says it is damaged and won’t install, same with Sierra and High Sierra. I downloaded the new ones, and they say they are damaged too. How annoying. What is Apple doing with the Mac?

      • OJB says:

        It has worked in the past for me for older OS installs, but I haven’t tried it with this latest round of problems. I can’t see why it wouldn’t work. If necessary, just stay disconnected from the internet until the install from flash, HD, etc is completed.

  22. John says:

    FYI the direct App Store links provided above cannot be downloaded on macOS Catalina 10.15.

    Error:

    This copy of the “Install macOS” application is too old to be opened on this version of macOS.

  23. Jared says:

    This applies to all MacOS Installer applications and even COMBO Update packages too.

    Basically if you have a repository of downloaded Mac OS system software installers and updates, you will need to get it all over again.

    Then it is time to rebuild your USB boot drives, and all that. What fun.

    https://support.apple.com/downloads

    This seems incredibly avoidable… why doesn’t Apple care to avoid it?

Leave a Reply

 

Shop on Amazon.com and help support OSXDaily!

Subscribe to OSXDaily

Subscribe to RSS Subscribe to Twitter Feed Follow on Facebook Subscribe to eMail Updates

Tips & Tricks

News

iPhone / iPad

Mac

Troubleshooting

Shop on Amazon to help support this site